- Qt 5.5
- Qt3D Module
- C++ Classes
- QRotateTransform
- Qt 5.5.1 Reference Documentation

# QRotateTransform Class

(Qt3D::QRotateTransform)

Inherits: | QAbstractTransform

- List of all members, including inherited members

## Properties

- angle : float
- angleRad : float
- axis : QVector3D

- 1 property inherited from Qt3D::QAbstractTransform

## Public Functions

| QRotateTransform(QObject * parent = Q_NULLPTR)
float | angleDeg() const
float | angleRad() const
QVector3D | axis() const
void | setAngleDeg(float arg)
void | setAngleRad(float arg)
void | setAxis(const QVector3D & arg)

## Reimplemented Public Functions

virtual QMatrix4x4 | transformMatrix() const

- 1 public function inherited from Qt3D::QAbstractTransform

## Signals

void | angleChanged()
void | axisChanged()

- 1 signal inherited from Qt3D::QAbstractTransform

## Property Documentation

### angle : float

Access functions:

float | angleDeg() const
void | setAngleDeg(float arg)

Notifier signal:

void | angleChanged()

### angleRad : float

Access functions:

float | angleRad() const
void | setAngleRad(float arg)

Notifier signal:

void | angleChanged()

### axis : QVector3D

Access functions:

QVector3D | axis() const
void | setAxis(const QVector3D & arg)

Notifier signal:

void | axisChanged()

## Member Function Documentation

### QRotateTransform::QRotateTransform(QObject * parent = Q_NULLPTR)

### `[virtual]` QMatrix4x4 QRotateTransform::transformMatrix() const